Page MenuHomePhabricator

Update TrustedXFF to use core's StaticArrayWriter implementation
Closed, ResolvedPublic

Description

MediaWiki core has a StaticArrayWriter class as of T200626: Standardize on a single PHP static array writer implementation. TrustedXFF's generate script needs to be updated to use it instead of rolling its own.

Event Timeline

Legoktm created this task.Dec 20 2018, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2018, 9:46 PM
Krinkle moved this task from Unsorted to Migrate / Replace on the Technical-Debt board.
Krinkle moved this task from Inbox to Backlog: Small & Maintenance on the Performance-Team board.

Change 605714 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/TrustedXFF@master] Move trusted-hosts.php artefact from wmf-config to extension repo

https://gerrit.wikimedia.org/r/605714

Krinkle triaged this task as Low priority.Jun 16 2020, 4:42 PM
Krinkle closed this task as Resolved.Jun 24 2020, 1:15 AM

Change 605714 merged by jenkins-bot:
[mediawiki/extensions/TrustedXFF@master] Move trusted-hosts.php artefact from wmf-config to extension repo

https://gerrit.wikimedia.org/r/605714